Get template by ID
curl --request GET \
--url https://api.kadoa.com/v4/templates/{templateId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kadoa.com/v4/templates/{templateId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kadoa.com/v4/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestVersion": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"name": "<string>",
"prompt": "<string>",
"schemaId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"frequency": {
"schedules": [
{
"interval": "<string>",
"expressions": [
"<string>"
]
}
]
},
"createdAt": "<string>",
"schemaFields": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "<string>",
"example": "<unknown>",
"shape": "<unknown>",
"dataType": "<string>",
"isKey": true,
"categories": [
{
"title": "<string>",
"definition": "<string>"
}
]
}
],
"schemaValidationRules": {},
"notifications": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "<string>",
"eventConfiguration": {},
"enabled": true,
"channels": [
{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelName": "<string>",
"channelType": "<string>"
}
]
}
],
"schemaName": "<string>",
"schemaEntity": "<string>"
}
],
"workflowCount": 123,
"hasPrompt": true,
"hasSchema": true,
"hasSchemaValidationRules": true,
"hasNotifications": true,
"hasFrequency": true
}
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}Templates
Get template
Retrieve a template by ID, including its version history
GET
/
v4
/
templates
/
{templateId}
Get template by ID
Authorizations
API key for authentication
Path Parameters
Template ID
โI